%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define	name	googsystray
%define	version	1.2.4
%define	release	%mkrel	1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A system tray application for accessing various (online) Google apps

Group:          Applications/Internet
License:        GPLv3
URL:            http://googsystray.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  gettext, intltool, desktop-file-utils
Requires:       python >= 2.6, pygtk2 >= 2.14, hicolor-icon-theme, python-xlib
# remove included python-xlib (called gXlib here)
Patch0:         googsystray-nogxlib.patch

%description
Googsystray is a system tray app for Google Voice, GMail, Google Calendar, 
Google Reader, and Google Wave. The idea is to be able to keep track of all 
that stuff without having to keep a bunch of browser tabs open, or constantly 
checking them. It notifies on new messages, alerts, etc., and provides basic 
services quickly (Reading or sending a new SMS message, or marking an email 
read, for example.)

%prep
%setup -q 
%patch0 -p1 -b .nogxlib
%{__rm} -rf googsystray/gXlib
# remove unnecessary shebang
sed -i 1d googsystray/htmltextview.py

%build
# build locales first
python setup.py i18n --force 
python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang googsystray
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    pkg/freedesktop/%{name}.desktop
%{__mkdir} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
install -m 644 pkg/freedesktop/64x64/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/googsystray.png
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/icons/%{name}.png

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG CREDITS LICENSES TODO
%{_bindir}/googsystray
%{python_sitelib}/%{name}-%{version}-*.egg-info
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*
%{_datadir}/applications/googsystray-settings.desktop
%{_datadir}/applications/googsystray.desktop
%{_datadir}/pixmaps/googsystray.png
%{_datadir}/icons/hicolor/*/apps/googsystray.png


%changelog
* Mon Aug 30 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.4-1mud2010.1
- new version

* Wed Aug 25 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.3-1mud2010.1
- new version

* Tue Aug 24 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.2-1mud2010.1
- initial release

